Summary:	Authenticate_LDAP application module for the Asterisk PBX
Name:		asterisk-app_authenticate_ldap
Version:	0.1.3
Release:	%mkrel 1
License:	GPL
Group:		System/Servers
URL:		http://www.ionidea.ua/oss/asterisk/
Source0:	http://www.ionidea.ua/oss/asterisk/app_authenticate_ldap-%{version}.tar.bz2
Patch0:		asterisk-app_authenticate_ldap-0.1.3-mdv_conf.diff
Patch1:		asterisk-app_authenticate_ldap-0.1.3-stdio.diff
BuildRequires:	asterisk-devel
Requires:	asterisk
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Authenticate_LDAP is an Asterisk application testing the
availability of a parameter in LDAP database. The clue of
searching this parameter is a chain of numbers enteredfrom the
telephone. If the clue has been found the return value is saved as
cdr line in 'userfield' field, and the process goes on in normal
conditions. If the search has happened to be abortive and the
priority n+101 exists, processing will jump to n+101 and 0 will be
returned. Otherwise voice message "vm-goodbye" is sent to the
channel and -1 is returned. The clue can be entered not more than
3 times.

%prep

%setup -q -c -T -n %{name}-%{version} -a0
%patch0 -p0
%patch1 -p0

# fix dir perms
find . -type d | xargs chmod 755
    
# fix file perms
find . -type f | xargs chmod 644

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

%build

%make -C apps RPM_OPT_FLAGS="%{optflags} -pipe -Wall -fPIC -DPIC -D_REENTRANT -D_GNU_SOURCE"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/asterisk
install -m0755 apps/app_authenticate_ldap.so %{buildroot}%{_libdir}/asterisk/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc apps/README.Authenticate_LDAP
%attr(0755,root,root) %{_libdir}/asterisk/app_authenticate_ldap.so

%changelog
* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-1mdk
- initial Mandriva package
